import { FC } from "react"
import { Button, Form, Input } from "antd";
import styles from "./index.module.less";

interface SearchProps{
    top?:string
    isSearch?:boolean
}

const Search:FC<SearchProps>=({top='4rem',isSearch=false})=>{
    const [form] = Form.useForm();
    const onFinish=()=>{
        
    }
    return (<div
        style={{ height: `${isSearch ? "35rem" : "0"}`,top:top }}
        className={styles.seachBox}
      >
        {isSearch && (
          <>
            <div className={styles.searchNav}>
              <Form
                form={form}
                name="searchForm"
                layout="inline"
                onFinish={onFinish}
              >
                <Form.Item name="username">
                  <Input
                    style={{ width: "20rem" }}
                    placeholder="请输入关键字"
                    allowClear
                  />
                </Form.Item>
                <Button type="primary">搜本站</Button>
              </Form>
            </div>
            <div className={styles.searchContent}></div>
          </>
        )}
      </div>)
}

export default Search