import type * as React from 'react';

import type { BitzSearchProps } from './BitzSearch'
import InternalBitzSearch from './BitzSearch'

export type { BitzSearchProps } from './BitzSearch'

// & React.RefAttributes<InputRef>
type CompoundedComponent = React.ForwardRefExoticComponent<
  BitzSearchProps
> & {
  // Group: typeof Group;
  // Search: typeof Search;
  // TextArea: typeof TextArea;
  // Password: typeof Password;
};


const BitzSearch = InternalBitzSearch as CompoundedComponent;

if (process.env.NODE_ENV !== 'production') {
  BitzSearch.displayName = 'BitzSearch';
}

export default BitzSearch
